Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetAuthError

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.inet.common.bean.InetAuthError

All Implemented Interfaces:
  `Serializable`, `Idable`

public class InetAuthError extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetAuthError()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `int`
  `getDeviceId()`
  `String`
  `getDeviceTitle()`
  `int`
  `getErrorCode()`
  `int`
  `getErrorCount()`
  `String`
  `getErrorText()`
  `Date`
  `getLastErrorTime()`
  `int`
  `getLogCoordinateRecordId()`
  `int`
  `getServId()`
  `String`
  `getServTitle()`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDeviceId(int deviceId)`
  `void`
  `setDeviceTitle(String deviceTitle)`
  `void`
  `setErrorCode(int errorCode)`
  `void`
  `setErrorCount(int errorCount)`
  `void`
  `setErrorText(String errorText)`
  `void`
  `setLastErrorTime(Date lastErrorTime)`
  `void`
  `setLogCoordinateRecordId(int logRecordId)`
  `void`
  `setServId(int servId)`
  `void`
  `setServTitle(String servTitle)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetAuthError

    public InetAuthError()

- ## Method Details

  - ### getErrorCode

    public int getErrorCode()

  - ### setErrorCode

    public void setErrorCode(int errorCode)

  - ### getErrorText

    public String getErrorText()

  - ### setErrorText

    public void setErrorText(String errorText)

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public void setDeviceId(int deviceId)

  - ### getDeviceTitle

    public String getDeviceTitle()

  - ### setDeviceTitle

    public void setDeviceTitle(String deviceTitle)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getServId

    public int getServId()

  - ### setServId

    public void setServId(int servId)

  - ### getServTitle

    public String getServTitle()

  - ### setServTitle

    public void setServTitle(String servTitle)

  - ### getLastErrorTime

    public Date getLastErrorTime()

  - ### setLastErrorTime

    public void setLastErrorTime(Date lastErrorTime)

  - ### getErrorCount

    public int getErrorCount()

  - ### setErrorCount

    public void setErrorCount(int errorCount)

  - ### getLogCoordinateRecordId

    public int getLogCoordinateRecordId()

  - ### setLogCoordinateRecordId

    public void setLogCoordinateRecordId(int logRecordId)